Bug 1346771 - The --smi option to cyclictest requires cap_sys_rawio to read the msr and cpuid registers
Summary: The --smi option to cyclictest requires cap_sys_rawio to read the msr and cpu...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rt-tests
Version: 7.3
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: John Kacur
QA Contact: Jiri Kastner
Marie Dolezelova
URL:
Whiteboard:
Keywords: ZStream
Depends On:
Blocks: 1274397 1349434
TreeView+ depends on / blocked
 
Reported: 2016-06-15 10:26 UTC by John Kacur
Modified: 2016-11-04 05:13 UTC (History)
3 users (show)

(edit)
Cyclitest "--smi" option available for non-root users

With this update, it is possible to use the cyclictest program with the "--smi" option as a non-root user, provided that the user also belongs to the "realtime" group. On processors that support system management interrupts (SMIs), "--smi" displays a report on the system's SMIs, which was previously only available for root users.
Clone Of:
: 1349434 (view as bug list)
(edit)
Last Closed: 2016-11-04 05:13:45 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2391 normal SHIPPED_LIVE rt-tests bug fix update 2016-11-03 13:54:15 UTC

Description John Kacur 2016-06-15 10:26:31 UTC
There is a new option to cyclictest to detect smis, that needs to read the msr and cpuid registers. Bugzilla 1341783 creates a udev rule to give the group "realtime" access to these registers, but this isn't sufficient. Programs that require the access need the cap_sys_rawio capability

Comment 1 John Kacur 2016-06-23 09:21:25 UTC
Fixed in rt-tests-1.0-3 and up

Comment 6 errata-xmlrpc 2016-11-04 05:13:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2391.html


Note You need to log in before you can comment on or make changes to this bug.